import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'merStatus',
  standalone: true
})
export class MerStatusPipe implements PipeTransform {

  transform(statusNum: number): string {
    switch (statusNum) {
      case 1:
        return '正常';
      case 2:
        return '编辑中';
      case 3:
        return '审核中';
      case 4:
        return '审核失败';
      case 5:
        return '违规';
      default:
        return '未知';
    }
  }
}
